> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.deel.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.deel.com/_mcp/server.

# Create Hourly Report Preset

POST https://api.letsdeel.com/rest/timesheets/presets
Content-Type: application/json

Creates a new hourly report preset, returning the assigned id upon success.

 **Token scopes**: `timesheets:write`

Reference: https://developer.deel.com/api/embedded/ic-endpoints/projects/create-timesheets-preset

## Authentication

- `Authorization` header (bearer token, required) — ## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
- `Authorization` header (bearer token, required) — Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

## Servers

- `https://api.letsdeel.com/rest` (Production, default)
- `https://api-staging.letsdeel.com/rest` (Demo)

## Request

### Body (application/json)

This endpoint expects an object.

- `data` (TimesheetsPresetsPostRequestBodyContentApplicationJsonSchemaData, required)

## Response

### 201

Successful operation.

- `data` (TimesheetsPresetsPostResponsesContentApplicationJsonSchemaData, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (string, optional)

### 401 Unauthorized Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 403 Forbidden Error

Forbidden

- `error` (string, optional)

### 404 Not Found Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 500 Internal Server Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

## Types

### TimesheetsPresetsPostRequestBodyContentApplicationJsonSchemaData

- `work_statement_id` (string, required) — The unique identifier of the associated work statement
- `hourly_report_root_preset_id` (string, required) — The unique identifier of the root preset this report is based on
- `file` (string, optional, nullable) — Optional file attachment for the hourly report preset
- `rate` (double, optional) — The hourly rate for this preset (must be greater than 0)
- `title` (string, optional) — The title of the hourly report preset
- `description` (string, optional, nullable) — A detailed description of the hourly report preset's purpose and contents

### TimesheetsPresetsPostResponsesContentApplicationJsonSchemaData

- `id` (string, required) — The unique identifier of the newly created hourly report preset

### ApiErrorRequest

- `method` (string, optional) — The HTTP method of the failed request
- `url` (string, optional) — The relative URL of the failed request
- `status` (double, optional) — The status code of the response
- `api_req_id` (string, optional) — The request ID of the failed request
- `docs` (string, optional) — A link to the official documentation for the requested endpoint resource
- `source` (string, optional) — The source handler which produced the returned error
- `code` (double, optional) — The code of the source handler which produced the returned error

### ApiError

- `message` (string, optional) — A description of the returned error
- `path` (string, optional) — The JSON path where input validation failed

## Examples

**Request**

```json
{
  "data": {
    "work_statement_id": "123e4567-e89b-12d3-a456-426614174000",
    "hourly_report_root_preset_id": "123e4567-e89b-12d3-a456-426614174000"
  }
}
```

**Response**

```json
{
  "data": {
    "id": "123e4567-e89b-12d3-a456-426614174000"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.letsdeel.com/rest/timesheets/presets"

payload = { "data": {
        "work_statement_id": "123e4567-e89b-12d3-a456-426614174000",
        "hourly_report_root_preset_id": "123e4567-e89b-12d3-a456-426614174000"
    } }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/timesheets/presets';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"data":{"work_statement_id":"123e4567-e89b-12d3-a456-426614174000","hourly_report_root_preset_id":"123e4567-e89b-12d3-a456-426614174000"}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/timesheets/presets"

	payload := strings.NewReader("{\n  \"data\": {\n    \"work_statement_id\": \"123e4567-e89b-12d3-a456-426614174000\",\n    \"hourly_report_root_preset_id\": \"123e4567-e89b-12d3-a456-426614174000\"\n  }\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/timesheets/presets")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"data\": {\n    \"work_statement_id\": \"123e4567-e89b-12d3-a456-426614174000\",\n    \"hourly_report_root_preset_id\": \"123e4567-e89b-12d3-a456-426614174000\"\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.letsdeel.com/rest/timesheets/presets")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"data\": {\n    \"work_statement_id\": \"123e4567-e89b-12d3-a456-426614174000\",\n    \"hourly_report_root_preset_id\": \"123e4567-e89b-12d3-a456-426614174000\"\n  }\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.letsdeel.com/rest/timesheets/presets', [
  'body' => '{
  "data": {
    "work_statement_id": "123e4567-e89b-12d3-a456-426614174000",
    "hourly_report_root_preset_id": "123e4567-e89b-12d3-a456-426614174000"
  }
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/timesheets/presets");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"data\": {\n    \"work_statement_id\": \"123e4567-e89b-12d3-a456-426614174000\",\n    \"hourly_report_root_preset_id\": \"123e4567-e89b-12d3-a456-426614174000\"\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["data": [
    "work_statement_id": "123e4567-e89b-12d3-a456-426614174000",
    "hourly_report_root_preset_id": "123e4567-e89b-12d3-a456-426614174000"
  ]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/timesheets/presets")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```